<template>
  <div @click="selectPony()">
    <h3 :style="{ color: ponyModel.color }">{{ ponyModel.name }}</h3>
  </div>
</template>
<script lang="ts">
import { defineComponent, PropType } from 'vue';
import * as CONSTANTS from '@/utils/constants';
import { PonyModel } from '@/models/PonyModel';

export default defineComponent({
  name: 'Pony',
  props: {
    ponyModel: {
      type: Object as PropType<PonyModel>,
      required: true
    }
  },

  emits: {
    selected: (pony: PonyModel) => pony.color !== CONSTANTS.PONY_COLORS.PURPLE
  },

  setup(props, { emit }) {
    function selectPony() {
      emit('selected', props.ponyModel);
    }

    return { selectPony };
  }
});
</script>
